import request from '@/utils/request'

// 查询计报警记录列表
export function listDialIndicator(query) {
  return request({
    url: '/manage/dialIndicator/list',
    method: 'get',
    params: query
  })
}

// 查询计报警记录详细
export function getDialIndicator(logId) {
  return request({
    url: '/manage/dialIndicator/' + logId,
    method: 'get'
  })
}

// 新增计报警记录
export function addDialIndicator(data) {
  return request({
    url: '/manage/dialIndicator',
    method: 'post',
    data: data
  })
}

// 修改计报警记录
export function updateDialIndicator(data) {
  return request({
    url: '/manage/dialIndicator/put',
    method: 'post',
    data: data
  })
}

// 删除计报警记录
export function delDialIndicator(logId) {
  return request({
    url: '/manage/dialIndicator/delete/' + logId,
    method: 'get'
  })
}
